\section{Existing Bound on Semistabiliser Ranks}
\label{subsect:loose-bound-on-r}

The proof for the following Theorem \ref{thm:loose-bound-on-r} was hinted at in
\cite{SchmidtBenjamin2020Bsot}, but the value appears explicitly in
\cite{SchmidtGithub2020} as shown in the following Listing
\ref{fig:code:schmidt-bound}.
The latter citation is a SageMath \cite{sagemath}
library for computing certain quantities related to Bridgeland stabilities on
Picard rank 1 varieties. It also includes functions to compute pseudo-walls and
pseudo-semistabilisers for tilt stability.

\lstinputlisting[
	caption={\raggedleft Snippet from \cite{SchmidtGithub2020} \texttt{stability_conditions.tilt.walls_left}},
	label={fig:code:schmidt-bound},
	linerange=1-7,
	firstnumber=1015
]{schmidt-snippet}

\begin{theorem}[Bound on $r$ - Benjamin Schmidt]
\label{thm:loose-bound-on-r}
Let $X$ be a smooth projective Picard rank 1 surface with choice of ample line
bundle $L$ such that $\ell\coloneqq c_1(L)$ generates $\neronseveri(X)$ and
take $m\coloneqq \ell^2$.

Given a Chern character $v$ with $\Delta(v) \geq 0$ and positive rank (or
$\chern_0(v) = 0$ and $\chern_1(v) > 0$)
such that
$\beta_-\coloneqq\beta_{-}(v)\in\QQ$, the rank $r$ of
any solution $u$ of Problem \ref{problem:problem-statement-2} is
bounded above by:

\begin{equation*}
	r \leq \frac{m\left(n \chern^{\beta_-}_1(v) - 1\right)^2}{\gcd(m,2n^2)}
\end{equation*}
\end{theorem}

\begin{proof}
The Bogomolov form applied to the twisted Chern character is the same as the
untwisted one.

\noindent
\begin{minipage}{0.57\linewidth}
	So $0 \leq \Delta(u)$ (condition 2 from Corollary \ref{cor:num_test_prob2})
	yields:
	\begin{equation}
		\label{eqn-bgmlv-on-E}
		2\chern_0(u) \chern^{\beta_{-}}_2(u) \leq \chern^{\beta_{-}}_1(u)^2
	\end{equation}

	\noindent
	Furthermore,
	condition 5 from Corollary \ref{cor:num_test_prob2}
	gives:
	\begin{equation}
		\label{eqn-tilt-cat-cond}
		0 < \chern^{\beta_{-}}_1(u) < \chern^{\beta_{-}}_1(v)
	\end{equation}

	\noindent
	The induced restrictions on possible pairs $\chern^{\beta_-}_0(u)$ and
	$\chern^{\beta_-}_2(u)$,
	as well as conditions 1 and 6 from Corollary \ref{cor:num_test_prob2}
	are illustrated here on the right, with the invalid regions shaded.
\end{minipage}
\hfill
\begin{minipage}{0.39\linewidth}
	%\label{prop:proof:fig:pseudowall-pos}
	\begin{center}
	\def\svgwidth{\linewidth}
	{\small
	\subimport{../figures/}{schmidt-arg-diag.pdf_tex}
	}
	\end{center}
	\vspace{3pt}
\end{minipage}

Currently, the unshaded region in the diagram above, corresponding to possible
values for $\chern_0(u)$ and $\chern^{\beta_{-}}_2(u)$ that satisfy the
currently considered restrictions, is unbounded.
This is where the rationality of $\beta_{-}$ comes in.
If $\beta_{-} = \frac{a_v}{n}$ for some $a_v,n \in \ZZ$,
then $\chern^{\beta_-}_2(u) \in \frac{1}{\lcm(m,2n^2)}\ZZ$.
In particular, since $\chern_2^{\beta_-}(u) > 0$ we must also have
$\chern^{\beta_-}_2(u) \geq \frac{1}{\lcm(m,2n^2)}$, which then in turn gives a
bound for the rank of $u$:

\begin{align}
	\chern_0(u)
	&\leq \frac{\chern^{\beta_-}_1(u)^2}{2\chern^{\beta_{-}}_2(u)} \nonumber \\
	&\leq \frac{\lcm(m,2n^2) \chern^{\beta_-}_1(u)^2}{2} \nonumber \\
	&= \frac{mn^2 \chern^{\beta_-}_1(u)^2}{\gcd(m,2n^2)}
	\label{proof:first-bound-on-r}
\end{align}
\noindent
Which we can then immediately bound using Equation \ref{eqn-tilt-cat-cond}.
Alternatively, given that
$\chern_1^{\beta_{-}}(u)$, $\chern_1^{\beta_{-}}(v)\in\frac{1}{n}\ZZ$,
we can tighten this bound on $\chern_1^{\beta_{-}}(u)$ given by that equation to:
\[
	n\chern^{\beta_{-}}_1(u) \leq n\chern^{\beta_{-}}_1(v) - 1
\]
allowing us to bound the expression in Equation \ref{proof:first-bound-on-r} to
the following:
\[
	\chern_0(u)
	\leq \frac{m\left(n \chern^{\beta_-}_1(v) - 1\right)^2}{\gcd(m,2n^2)}
\]

\end{proof}

\begin{sagesilent}
from examples import recurring
\end{sagesilent}

\begin{example}[$v=(3, 2\ell, -2)$ on $\PP^2$]
\label{exmpl:recurring-first}
Taking $\ell=c_1(\mathcal{O}(1))$ as the standard polarization on $\PP^2$, so
that $m=1$, $\beta_-=\sage{recurring.betaminus}$,
giving $n=\sage{recurring.n}$ and
$\chern_1^{\sage{recurring.betaminus}}(F) = \sage{recurring.twisted.ch[1]}$.

Using the above Theorem \ref{thm:loose-bound-on-r}, we get that the ranks of
tilt semistabilisers for $v$ are bounded above by $\sage{recurring.loose_bound}$.
However, when computing all tilt semistabilisers for $v$ on $\PP^2$, the maximum
rank that appears turns out to be 25. This will be a recurring example to
illustrate the performance of later theorems about rank bounds
\end{example}

\begin{sagesilent}
from examples import extravagant
\end{sagesilent}

\begin{example}[extravagant example: $v=(29, 13\ell, -3/2)$ on $\PP^2$]
\label{exmpl:extravagant-first}
Taking $\ell=c_1(\mathcal{O}(1))$ as the standard polarization on $\PP^2$, so
that $m=1$, $\beta_-=\sage{extravagant.betaminus}$,
giving $n=\sage{extravagant.n}$ and
$\chern_1^{\sage{extravagant.betaminus}}(F) = \sage{extravagant.twisted.ch[1]}$.

Using the above Theorem \ref{thm:loose-bound-on-r}, we get that the ranks of
tilt semistabilisers for $v$ are bounded above by $\sage{extravagant.loose_bound}$.
However, when computing all tilt semistabilisers for $v$ on $\PP^2$, the maximum
rank that appears turns out to be $\sage{round(extravagant.actual_rmax, 1)}$.
\end{example}


\section{Tighter Bounds}
\label{sec:refinement}

To get tighter bounds on the rank of solutions $u$ to the Problems
\ref{problem:problem-statement-1} and
\ref{problem:problem-statement-2},
we will need to consider each of the values which
$\chern_1^{\beta}(u)$ can take.
Doing this will allow us to eliminate possible values of $\chern_0(u)$ for which
each possible value of $\chern_1^{\beta}(u)$ leads to the failure of at least one
of the inequalities,
as opposed to only eliminating possible values of $\chern_0(u)$ for which all
corresponding $\chern_1^{\beta}(u)$ fail one of the inequalities (which is what
was implicitly happening before in the proof of Theorem
\ref{thm:loose-bound-on-r}).
To pursue this, we shall restate the earlier numerical characterisations of the
problems from Lemma \ref{lem:num_test_prob1}
and Corollary \ref{cor:num_test_prob2}, in a way which better fits our direction
of travel.

\begin{lemma}
\label{lem:fixed-q-semistabs-criterion}
	Consider the Problem \ref{problem:problem-statement-1} (or \ref{problem:problem-statement-2}),
	with choice of point $P=(\alpha_0,\beta_0)$ on $\Theta_v^{-}$
    (or $\alpha_0=0$ and $\beta_0=\beta_{-}(v)$ resp.).

	\noindent
	If $u$ is a solution to the Problem then $u$ satisfies:
	\begin{equation}
		q\coloneqq \chern^{\beta_0}_1(u) \in \left( 0, \chern_1^{\beta_0}(v) \right)
		\label{lem:eqn:cond-for-fixed-q}
	\qquad
	\text{and}
	\qquad
		\chern_0(u) > \frac{q}{\mu(v) - \beta_0}.
		\nonumber
	\end{equation}

	\noindent
	Conversely, any $u = (r,c\ell,d\ell^2)$
	with $r,c\in \ZZ$ and $d\in \frac{1}{\lcm(m,2)}\ZZ$
	satisfying the above Equations \ref{lem:eqn:cond-for-fixed-q}
	is a solution to the Problem if and only if the following are satisfied:
	\begin{multicols}{3}
	\begin{itemize}
		\item $\Delta(u) \geq 0$
		\item $\Delta(v-u) \geq 0$
		\item $\chern^{\alpha_0,\beta_0}_2(u) \geq 0$
	\end{itemize}
	\end{multicols}
\end{lemma}

\begin{proof}
	Recalling Theorems \ref{lem:num_test_prob1} and \ref{cor:num_test_prob2}, solutions $u$
	to the problem are given by $u=(r,c\ell,d\ell^2)$ with $r,c\in \ZZ$ and $d\in \frac{1}{\lcm(m,2)}\ZZ$
	which satisfy six numerical conditions.
	The first line of Equation \ref{lem:eqn:cond-for-fixed-q} is equivalent to
    numerical condition 5.
	The second line is a rearrangement of numerical condition 4, assuming $r>0$ which is given by
	the first numerical condition.
	Therefore any solution $u$ satisfies Equation \ref{lem:eqn:cond-for-fixed-q}.

	But then Theorems \ref{lem:num_test_prob1} and \ref{cor:num_test_prob2}, also give that
    $u=(r,c\ell,d\ell^2)$ with $r,c\in \ZZ$ and $d\in \frac{1}{\lcm(m,2)}\ZZ$ satisfying Equation
    \ref{lem:eqn:cond-for-fixed-q} is in fact a solution provided the remaining numerical conditions
    1, 2, 3 and 6 are satisfied.
	This is in essence the second part of the Lemma.
\end{proof}

\begin{corollary}
\label{cor:rational-beta:fixed-q-semistabs-criterion}
	Consider the Problem \ref{problem:problem-statement-1} (or \ref{problem:problem-statement-2}),
	with choice of point $P=(\alpha_0,\beta_0)$ on $\Theta_v^{-}$
    (or $\alpha_0=0$ and $\beta_0=\beta_{-}(v)$ resp.),
	and suppose that $\beta_{0}$ is
	rational, and written $\beta_0=\frac{a_v}{n}$ for
	some coprime integers $a_v$, $n$ with $n>0$.

	Then any solution $u$ satisfies:
	\begin{align*}
		\chern^{\beta_0}_1(u)
		= \frac{b_q}{n},
    	\qquad
		a_v r &\equiv -b_q \pmod{n},
		\quad
		\text{and}
		\qquad
		r > \frac{q}{\mu(v) - \beta_0}
	\end{align*}
	\[
    	\text{for some }
    	b_q \in \left\{ 1, 2, \ldots, n\chern_1^{\beta_0}(v) - 1 \right\}.
	\]
	And any $u = (r,c\ell,d\ell^2)$
	with $r,c\in \ZZ$ and $d\in \frac{1}{\lcm(m,2)}\ZZ$
	satisfying these equations is a solution to the Problem if and only if, again,
	the following are satisfied:
	\begin{multicols}{3}
	\begin{itemize}
		\item $\Delta(u) \geq 0$
		\item $\Delta(v-u) \geq 0$
		\item $\chern^P_2(u) \geq 0$
	\end{itemize}
	\end{multicols}

\end{corollary}

\begin{proof}
	This is a specialisation of Lemma \ref{lem:fixed-q-semistabs-criterion}
	with a modification to the statement
	\[
	q\coloneqq \chern^{\beta_0}_1(u) \in \left( 0, \chern_1^{\beta_0}(v) \right)
	\]
    for the case where $\beta_0$ is rational.
    Taking $\beta_0 = \frac{a_v}{n}$ we have:
	\[
	   q\coloneqq\chern_1^{\beta_0}(u)
        = c - \frac{a_v}{n}r
        \in \frac{1}{n}\ZZ
	\]
	So $q=\frac{b_q}{n}$ for some $b_q \in \left\{ 1, 2, \ldots, n\chern_1^{\beta_0}(v) - 1 \right\}$
	and then
	${
	   nc - a_v r = b_q
	}$
    and so
	${
	a_v r \equiv -b_q
	}$ modulo $n$.
\end{proof}

\subsection{Bounds on \texorpdfstring{`$d$'}{d}-values for Solutions of Problems}
\label{subsec:bounds-on-d}

Let $v$ be a Chern character with $\Delta(v)\geq 0$,
$\chern_0(v)>0$, or $\chern_0(v)=0$ and $\chern_1(v)>0$,
and consider Problem
\ref{problem:problem-statement-1} or
\ref{problem:problem-statement-2}.
Take $P=(\alpha_0,\beta_0)\in\Theta_v^-$ as the choice made in Problem
\ref{problem:problem-statement-1}
(or $\beta_0 = \beta_{-}$ and $\alpha_0=0$ for Problem \ref{problem:problem-statement-2}).
Lemma \ref{lem:fixed-q-semistabs-criterion} states that any solution
\begin{equation}
	u \coloneqq \:(r,c\ell,d\ell^2)
	\qquad
	\text{where $r,c\in \ZZ$ and $d\in \frac{1}{\lcm(m,2)}\ZZ$}
	\label{eqn:u-coords}
\end{equation}
to the Problem satisfies
\[
	q \coloneqq \chern_1^{\beta_0}(u)
	\in
	\left(
		0, \chern_1^{\beta_0}(v)
	\right)
\]
and also gives a lower bound for $r$ when considering $u$ with a fixed $q$.
This Section studies the extra numerical conditions that such $u$ must satisfy
as given by Lemma \ref{lem:fixed-q-semistabs-criterion},
and will express them as bounds on $d$ in terms of $r$ (for a
fixed $q$).
These bounds will later be used in Subsections
\ref{subsec:bounds-on-semistab-rank-prob-1} and
\ref{subsec:bounds-on-semistab-rank-prob-2}
to construct upper bounds on $r$
(in a similar way to how a bound on $\chern_0(u)$ was found in the proof of
Theorem \ref{thm:loose-bound-on-r} by considering bounds on
$\chern^{\beta_0}_0(u)$ in terms of the former).

\subsubsection{Radius of the pseudo-wall\texorpdfstring{: $\chern_2^P(u)>0$}{}}
\label{subsect-d-bound-radiuscond}

In the context of Problem \ref{problem:problem-statement-2}, this condition,
when rearranged to a bound on $d$, amounts to:

\begin{equation}
\label{eqn:radius-cond-betamin}
	\chern_2^{\beta_{-}}(u) > 0
	\qquad
	\text{and}
	\qquad
	d > \frac{1}{2} {\beta_{-}}^2r + \beta_{-}q.
	\nonumber
\end{equation}

\begin{sagesilent}
import other_P_choice as problem1
\end{sagesilent}

In the case where we are tackling Problem \ref{problem:problem-statement-1},
with
$P=(\alpha_0,\beta_0) \in \Theta_v^-$.
Then $\sage{problem1.A2_subs}$ follows from $\chern_2^P(v)=0$. Using this substitution into the
condition $\chern_2^P(u) = \sage{problem1.radius_condition_before_sub}$ yields:

\begin{equation}
	\label{eqn:radius_condition}
	\sage{problem1.radius_condition}
\end{equation}

\noindent
Expanding $\chern^{\beta_0}_2(u)$ in terms of $r$, $c$, $d$, and rearranging for
$d$ then yields:

\begin{equation}
	\label{eqn:radius_condition_d_bound}
	\sage{problem1.radius_condition_d_bound}
\end{equation}


\subsubsection{Semistability of the Semistabiliser:
	\texorpdfstring{
		$\Delta(u) \geq 0$
	}{
		Δ(u) ≥ 0
	}
}
Expressing $\Delta(u)\geq 0$ in terms of
$q = \chern^{\beta_0}_1(u) = c - r\beta_0$,
we get:

\begin{sagesilent}
from plots_and_expressions import bgmlv2_with_q
\end{sagesilent}
\begin{equation}
	\sage{bgmlv2_with_q}
\end{equation}

\noindent
Rearranging to express this as a bound on $d$, we get the following.
Recall that $r>0$ is ensured by Equations \ref{lem:eqn:cond-for-fixed-q}.

\begin{sagesilent}
from plots_and_expressions import bgmlv2_d_ineq
\end{sagesilent}
\begin{equation}
	\label{eqn-bgmlv2_d_upperbound}
	\sage{bgmlv2_d_ineq.expand()}
\end{equation}

\subsubsection{Semistability of the Quotient:
	\texorpdfstring{
		$\Delta(v-u) \geq 0$
	}{
		Δ(v-u) ≥ 0
	}
}
\label{subsect-d-bound-bgmlv3}

Expressing $\Delta(v-u)\geq 0$ in term of $q$ and rearranging as a bound on
$d$ yields:


\begin{sagesilent}
from plots_and_expressions import bgmlv3_d_upperbound_terms
\end{sagesilent}

\begin{equation}
	\label{eqn-bgmlv3_d_upperbound}
	d \leq
	\sage{bgmlv3_d_upperbound_terms.linear}
	+ \sage{bgmlv3_d_upperbound_terms.const}
	\sage{bgmlv3_d_upperbound_terms.hyperbolic},
	\qquad
	\text{when }r>R.
\end{equation}

\noindent
If $r=R$, then $\Delta(v-u)=(C-c)^2 \geq 0$ is always true, and for $r<R$
the expression on the right hand side of Equation \ref{eqn-bgmlv3_d_upperbound}
gives a lower bound for $d$ instead.
However it is weaker than lower bound
given by $\chern^P_2(u)>0$ if $u$ already satisfies Equations
\ref{lem:eqn:cond-for-fixed-q} as will be shown now:

Since $r, R-r>0$, we have:
\begin{equation}
	\label{lem:proof:slope-order-rltR}
	\max(\beta_0, \mu(u)) < \mu(v) < \mu(v-u)
\end{equation}
\noindent
The first inequality coming from $P \in \Theta_v^{-}$ and Equation
\ref{lem:eqn:cond-for-fixed-q}, and the second inequality following by the
see-saw principle.
% TODO maybe cover the see-saw principle
\begin{align*}
	\left(
		\frac{\chern^{\beta_0}_1(v-u)}{\chern_0(v-u)}
	\right)^2
	&=
	\left(
		\mu(v-u) - \beta_0
	\right)^2
\\
	&>
	\left(
		\mu(v) - \beta_0
	\right)^2
	&\text{by Equation \ref{lem:proof:slope-order-rltR}}
\\
	&=
	\left(
		\frac{\chern^{\beta_0}_1(v)}{\chern_0(v)}
	\right)^2
\\
	&\geq
	2 \frac{\chern^{\beta_0}_2(v)}{\chern_0(v)}
	&\text{since }\Delta(v) \geq 0
	\:\text{and }\chern_0(v) > 0
\\
    \text{So}
    \quad
	\frac{
		\left(
		q-\chern^{\beta_0}_1(v)
		\right)^2
	}{
		\left(
		R-r
		\right)^2
	}
	&>
	2 \frac{\chern^{\beta_0}_2(v)}{R}
	&
	\text{and}
	\quad
	\chern_2^{\beta_0}(v)
	- \frac{
		\left(
		q-\chern^{\beta_0}_1(v)
		\right)^2
	}{
		2\left(
		R-r
		\right)
	}
	&<
	\frac{r\chern^{\beta_0}_2(v)}{R}
\end{align*}
\noindent
Showing that the unique terms of Equation
\ref{eqn:radius_condition_d_bound}
are greater than those of Equation
\ref{eqn-bgmlv3_d_upperbound}.


\subsubsection{All Bounds on \texorpdfstring{$d$}{d} Together for Problem
\texorpdfstring{\ref{problem:problem-statement-2}}{2}}
\label{subsubsect:all-bounds-on-d-prob2}

In the context of Problem \ref{problem:problem-statement-2}, with
$\beta_0=\beta_{-}(v)$, we have $\chern^{\beta_{-}(v)}_2(v)=0$, simplifying the
bounds on $d$ calculated in this Subsection.
So we conclude that final 3 conditions from Corollary
\ref{cor:rational-beta:fixed-q-semistabs-criterion}
for a potential solution to the problem of the form in Equation
\ref{eqn:u-coords}, amounts to the following:

\begin{sagesilent}
from plots_and_expressions import bgmlv2_d_upperbound_terms
\end{sagesilent}
\begin{align}
	d &>
	\frac{1}{2}{\beta_0}^2 r
	+ {\beta_0} q,
	\phantom{+} % to keep terms aligned
	 &\qquad\text{when\:} r > 0
	\label{eqn:radiuscond_d_bound_betamin}
\\
	d &\leq
	\sage{bgmlv2_d_upperbound_terms.problem2.linear}
	+ \sage{bgmlv2_d_upperbound_terms.problem2.const}
	 +\sage{bgmlv2_d_upperbound_terms.problem2.hyperbolic},
	 &\qquad\text{when\:} r > 0
	 \label{eqn:bgmlv2_d_bound_betamin}
\\
	d &\leq
	\sage{bgmlv3_d_upperbound_terms.problem2.linear}
	+ \sage{bgmlv3_d_upperbound_terms.problem2.const}
	% ^ ch_2^\beta(F)=0 for beta_{-}
	 \sage{bgmlv3_d_upperbound_terms.problem2.hyperbolic},
	 &\qquad\text{when\:} r > R
	 \label{eqn:bgmlv3_d_bound_betamin}
\end{align}

Recalling that $q \coloneqq \chern^{\beta}_1(u) \in (0, \chern^{\beta}_1(v))$,
it is worth noting that the extreme values of $q$ in this range lead to the
tightest bounds on $d$.
Small values of $q$ brings
Equation \ref{eqn:bgmlv2_d_bound_betamin} closer to
Equation \ref{eqn:radiuscond_d_bound_betamin},
and larger values of $q$ brings
Equation \ref{eqn:bgmlv3_d_bound_betamin} closer to
Equation \ref{eqn:radiuscond_d_bound_betamin}.

For a generic case, when
$0 < q\coloneqq\chern_1^{\beta}(u) < \chern_1^{\beta}(v)$,
the bounds on $d$ in terms of $r$ is illustrated in Figure
(\ref{fig:d_bounds_xmpl_gnrc_q}).
The question of whether there are pseudo-semistabilisers of arbitrarily large
rank, in the context of the graph, comes down to whether there are points
$(r,d) \in \ZZ \oplus \frac{1}{\lcm(m,2)} \ZZ$ (with large $r$)
that fit above the yellow line (ensuring positive radius of wall) but below the
blue and green (ensuring $\Delta(u), \Delta(v-u) > 0$).
These lines have the same assymptote at $r \to \infty$
(Equations \ref{eqn:bgmlv2_d_bound_betamin},
\ref{eqn:bgmlv3_d_bound_betamin},
\ref{eqn:radiuscond_d_bound_betamin}).
As mentioned in the introduction to this Part, the finiteness of these
solutions is entirely determined by whether $\beta_{-}$ is rational or irrational.
This will be pursued in Subsection
\ref{subsec:bounds-on-semistab-rank-prob-2}.

\begin{sagesilent}
from plots_and_expressions import typical_bounds_on_d
\end{sagesilent}

\begin{figure}
\centering
\sageplot[width=\linewidth]{typical_bounds_on_d}
\caption{
	Bounds on $d\coloneqq\chern_2(u)$ in terms of $r\coloneqq \chern_0(u)$ for a fixed
	value $\chern_1^{\beta}(v)/2$ of $q\coloneqq\chern_1^{\beta}(u)$.
	Where $\chern(v) = (3,2\ell,-2\ell^2)$.
}
\label{fig:d_bounds_xmpl_gnrc_q}
\end{figure}

\subsubsection{All Bounds on \texorpdfstring{$d$}{d} Together for Problem
\texorpdfstring{\ref{problem:problem-statement-1}}{1}}
\label{subsubsect:all-bounds-on-d-prob1}

Unlike for Problem \ref{problem:problem-statement-2},
the bounds on $d=\chern_2(u)$ induced by the final three conditions
of Lemma \ref{lem:fixed-q-semistabs-criterion}
have different
constant and linear terms, so that the graphs for upper
bounds do not share the same assymptote as the lower bound
(and they will turn out to intersect).

\begin{align}
	\sage{problem1.radius_condition_d_bound.lhs()}
	&>
	\sage{problem1.radius_condition_d_bound.rhs()}
	&\text{when }r>0
	\label{eqn:prob1:radiuscond}
	\\
	d &\leq
	\sage{problem1.bgmlv2_d_upperbound_terms.linear}
	+ \sage{problem1.bgmlv2_d_upperbound_terms.const}
	+ \sage{problem1.bgmlv2_d_upperbound_terms.hyperbolic}
	&\text{when }r>R
	\label{eqn:prob1:bgmlv2}
	\\
	d &\leq
	\sage{problem1.bgmlv3_d_upperbound_terms.linear}
	+ \sage{problem1.bgmlv3_d_upperbound_terms.const}
	 \sage{problem1.bgmlv3_d_upperbound_terms.hyperbolic}
	&\text{when }r>R
	\label{eqn:prob1:bgmlv3}
\end{align}

\begin{figure}
\centering
\sageplot[width=\linewidth]{problem1.example_plot}
\caption{
	Bounds on $d\coloneqq\chern_2(u)$ in terms of $r\coloneqq \chern_0(u)$ for a fixed
	value $\chern_1^{\beta}(v)/2$ of $q\coloneqq\chern_1^{\beta}(E)$.
	Where $\chern(v) = (3,2\ell,-2\ell^2)$ and $P$ chosen as the point on $\Theta_v$
	with $\beta(P)\coloneqq-2/3-1/99$ in the context of Problem
	\ref{problem:problem-statement-1}.
}
\label{fig:problem1:d_bounds_xmpl_gnrc_q}
\end{figure}


Notice that as functions of $r$, the linear term in
Equation \ref{eqn:prob1:radiuscond} is strictly greater than
those in Equations \ref{eqn:prob1:bgmlv2}
and \ref{eqn:prob1:bgmlv3} in the context of the Problem.
This is because $R\coloneqq\chern_0(v)$
and $\chern_2^{\beta_0}(v)$ are all strictly positive:
\begin{itemize}
	\item $R > 0$ from the setting of Problem
		\ref{problem:problem-statement-1}
	\item $\chern_2^{\beta_0}(v)>0$
		by Lemma \ref{lem:comparison-test-with-beta_}
		because ${\beta_0} < \beta_{-}$ due to the choice of $P$ being
		a point on $\Theta_v^{-}$
\end{itemize}

This means that the lower bound for $d$ will be larger than either of the two
upper bounds for sufficiently large $r$, and hence those values of $r$ would yield no
solution to Problem \ref{problem:problem-statement-1}.
A generic example of this is plotted in Figure
\ref{fig:problem1:d_bounds_xmpl_gnrc_q}, and bounds for $r$ following from this
idea will be pursued in Subsection \ref{subsec:bounds-on-semistab-rank-prob-1}.

\subsection{Bounds on Semistabiliser Rank \texorpdfstring{$r$}{} in Problem
\ref{problem:problem-statement-1}}
\label{subsec:bounds-on-semistab-rank-prob-1}

As discussed at the end of Subsection \ref{subsubsect:all-bounds-on-d-prob1}
(and illustrated in Figure \ref{fig:problem1:d_bounds_xmpl_gnrc_q}),
there are no solutions $u$ to Problem \ref{problem:problem-statement-1}
with large $r=\chern_0(u)$, since the lower bound on $d=\chern_2(u)$ is larger
than the upper bounds.
Therefore, we can calculate upper bounds on $r$ by calculating for which values,
the lower bound on $d$ is equal to one of the upper bounds on $d$
(i.e. finding certain intersection points of the graph in Figure
\ref{fig:problem1:d_bounds_xmpl_gnrc_q}).

\begin{theorem}[Problem \ref{problem:problem-statement-1} upper Bound on $r$]
\label{lem:prob1:r_bound}
	Let $u$ be a solution to Problem \ref{problem:problem-statement-1}
	and $q\coloneqq\chern_1^{B}(u)$.
	Then $r\coloneqq\chern_0(u)$ is bounded above by the following expression:
	\begin{equation}
		\sage{problem1.r_bound_expression}
	\end{equation}
\end{theorem}

\begin{proof}
	Lemma \ref{lem:fixed-q-semistabs-criterion} gives us that any solution $u$
	must be of the form in Equation \ref{eqn:u-coords} and
	satisfy Equations \ref{lem:eqn:cond-for-fixed-q} as well as the three
	conditions $\chern^P_2(u)>0$, $\Delta(u) \geq 0$, and $\Delta(v-u) \geq 0$.
	Subsection \ref{subsec:bounds-on-d} equates these latter three conditions
	(provided Equations \ref{lem:eqn:cond-for-fixed-q})
	to upper bounds on $d$ given by
	Equations \ref{eqn:prob1:bgmlv2} and \ref{eqn:prob1:bgmlv3};
	and one lower bound given by Equation \ref{eqn:prob1:radiuscond}.

	Solving for the lower bound in Equation \ref{eqn:prob1:radiuscond} being
	less than the upper bound in Equation \ref{eqn:prob1:bgmlv2} yields:
	\begin{equation}
	r<\sage{problem1.positive_intersection_bgmlv2}
	\end{equation}

	\noindent
	Similarly, but with the upper bound in Equation \ref{eqn:prob1:bgmlv3}, gives:
	\begin{equation}
	r<\sage{problem1.positive_intersection_bgmlv3}
	\end{equation}

	\noindent
	Therefore, $r$ is bounded above by the minimum of these two expressions which
	can then be factored into the expression given in the Lemma.

\end{proof}

The above Lemma \ref{lem:prob1:r_bound} gives an upper bound on $r$ in terms of $q$.
But given that $0 < q < \chern_1^{\beta_0}(v)$, we can take the maximum of this
bound, over $q$ in this range, to get a simpler (but weaker) bound in the
following Lemma \ref{lem:prob1:convenient_r_bound}.

\begin{theorem}[Problem \ref{problem:problem-statement-1} global upper Bound on $r$]
\label{lem:prob1:convenient_r_bound}
	Let $u$ be a solution to Problem \ref{problem:problem-statement-1}.
	Then $r\coloneqq\chern_0(u)$ is bounded above by the following expression:
	\begin{equation}
		\sage{problem1.r_max}
	\end{equation}
\end{theorem}

\begin{proof}
	The first term of the minimum in Lemma \ref{lem:prob1:r_bound}
	increases linearly in $q$, and the second
	decreases linearly. So the maximum is achieved with the value of
	$q=q_{\mathrm{max}}$ where they are equal.
	Solving for the two terms in the minimum to be equal yields:
	$q_{\mathrm{max}}=\sage{problem1.maximising_q}$.
	Substituting $q=q_{\mathrm{max}}$ into the bound in Lemma
	\ref{lem:prob1:r_bound} gives the bound as stated in the current Lemma.

\end{proof}

\begin{remark}
	$q_{\mathrm{max}} > 0$ is immediate from the expression, but
	$q_{\mathrm{max}} \leq \chern_1^{B}(v)$ is equivalent to $\Delta(v) \geq 0$,
	which is true by assumption in this setting.
\end{remark}


\subsection{Bounds on Semistabiliser Rank \texorpdfstring{$r$}{} in Problem
\ref{problem:problem-statement-2}}
\label{subsec:bounds-on-semistab-rank-prob-2}

Now, the inequalities from the above Subsubsection
\ref{subsubsect:all-bounds-on-d-prob2} will be used to find, for
each given $q=\chern^{\beta}_1(E)$, how large $r$ needs to be in order to leave
no possible solutions for $d$ in the context of Problem
\ref{problem:problem-statement-2}.
At that point, there are no solutions
$u=(r,c\ell,d\ell^2)$ to the Problem.

In the context of Problem \ref{problem:problem-statement-2}, $\beta_{-}(v)$ is
assumed to be rational.
Considering Corollary \ref{cor:rational-beta:fixed-q-semistabs-criterion},
for any solution $u$, we have $q\coloneqq\chern^{\beta_{-}(v)}(u) = \frac{b_q}{n}$
where $\beta_{-}(v) = \frac{a_v}{n}$ in lowest terms and $b_q$ is an integer
between 1 and $n\chern_1^{\beta_0}(v) - 1$ (inclusive),
and $a_v r \equiv -b_q \pmod{n}$.
The Corollary then gives a lower bound for $r$, and states that any $u$ of the
form from Equation \ref{eqn:u-coords} satisfying these conditions so far, is a
solution to Problem \ref{problem:problem-statement-2} if and only if it
satisfies the conditions
$\chern^{\beta_{-}(v)}(u)>0$, $\Delta(u) \geq 0$, and $\Delta(v-u) \geq 0$.


\renewcommand{\aa}{{a_v}}
\newcommand{\bb}{{b_q}}
Substituting more specialised values of $q$ and $\beta_0=\beta_{-}(v)$ into the condition
$\chern^{\beta_0}(u) > 0$
(Equation \ref{eqn:radiuscond_d_bound_betamin}) we get:

\begin{sagesilent}
from plots_and_expressions import \
positive_radius_condition_with_q, \
q_value_expr, \
beta_value_expr
\end{sagesilent}
\begin{equation}
\label{eqn:positive_rad_condition_in_terms_of_q_beta}
	\frac{1}{\lcm(m,2)}\ZZ
	\ni
	\:\:
	\sage{positive_radius_condition_with_q.subs([q_value_expr,beta_value_expr]).factor()}
	\:\:
	\in
	\frac{1}{2n^2}\ZZ
\end{equation}

\noindent
This fact will be leveraged to give tighter lower bounds in a similar way to the
proof of Theorem
\ref{thm:loose-bound-on-r}.


\begin{sagesilent}
from plots_and_expressions import main_theorem1, betamin_subs
\end{sagesilent}
\begin{theorem}[First bound on $r$ for Problem \ref{problem:problem-statement-2}]
\label{thm:rmax_with_uniform_eps}
	Let $X$ be a smooth projective surface with Picard rank 1 and choice of ample
	line bundle $L$ with $c_1(L)$ generating $\neronseveri(X)$ and
	$m\coloneqq\ell^2$.
	Let $v$ be a fixed Chern character on this surface with positive rank
	(or rank 0 and $c_1(v)>0$), and $\Delta(v)\geq 0$.
	Then the ranks of the pseudo-semistabilisers $u$ for $v$,
	which are solutions to Problem \ref{problem:problem-statement-2},
	with $\chern_1^{\beta_{-}(v)}(u) = q$
	are bounded above by the following expression.

	\begin{align*}
		\min
		\left(
			\sage{main_theorem1.r_upper_bound1.subs(betamin_subs)}, \:\:
			\sage{main_theorem1.r_upper_bound2.subs(betamin_subs)}
		\right)
	\end{align*}
	\noindent
	where $R\coloneqq \chern_0(v)$.
\end{theorem}

\begin{proof}
Both $d$ and the lower bound in
(Equation \ref{eqn:positive_rad_condition_in_terms_of_q_beta})
are elements of $\frac{1}{\lcm(m,2n^2)}\ZZ$.
So, if any of the two upper bounds on $d$ come to within
$\epsilon_v \coloneqq \frac{1}{\lcm(m,2n^2)}$ of this lower bound,
then there are no solutions for $d$.
Hence any corresponding $r$ cannot be a rank of a
pseudo-semistabiliser for $v$.

To avoid this, we must have,
considering Equations
\ref{eqn:bgmlv2_d_bound_betamin},
\ref{eqn:bgmlv3_d_bound_betamin},
\ref{eqn:radiuscond_d_bound_betamin}.

\begin{sagesilent}
from plots_and_expressions import \
assymptote_gap_condition1, assymptote_gap_condition2, k
\end{sagesilent}


\begin{align}
	\epsilon_v =&\sage{assymptote_gap_condition1.subs(k==1)} \\
	\epsilon_v =&\sage{assymptote_gap_condition2.subs(k==1)}
\end{align}

\noindent
This is equivalent to:

\begin{equation}
	\label{eqn:thm-bound-for-r-impossible-cond-for-r}
	r \leq
	\min\left(
		\sage{
			main_theorem1.r_upper_bound1
		} ,
		\sage{
			main_theorem1.r_upper_bound2
		}
	\right)
\end{equation}

\end{proof}


\begin{sagesilent}
from plots_and_expressions import q_sol, bgmlv_v, psi
\end{sagesilent}

\begin{corollary}[Second, global bound on $r$ for Problem \ref{problem:problem-statement-2}]
\label{cor:direct_rmax_with_uniform_eps}
	Let $X$ be a smooth projective surface with Picard rank 1 and choice of ample
	line bundle $L$ with $c_1(L)$ generating $\neronseveri(X)$ and
	$m\coloneqq\ell^2$.
	Let $v$ be a fixed Chern character on this surface and
	$R\coloneqq\chern_0(v)$.
	Then the ranks of the pseudo-semistabilisers $u$ of $v$,
	which are solutions to Problem \ref{problem:problem-statement-2},
	are bounded above as follows.

	\begin{align*}
		r &\leq \sage{main_theorem1.corollary_r_bound}
			&\text{if } R < \frac{\Delta(v)\lcm(m,2n^2)}{2m}
		\\
		r &\leq \frac{\Delta(v)\lcm(m,2n^2)}{2m}
			&\text{if } R \geq \frac{\Delta(v)\lcm(m,2n^2)}{2m}
	\end{align*}
\end{corollary}

\begin{proof}
The ranks of the pseudo-semistabilisers for $v$ are bounded above by the
maximum over $q\in [0, \chern_1^{\beta_{-}}(v)]$ of the expression in Theorem
\ref{thm:rmax_with_uniform_eps}.
Noticing that the expression is a maximum of two quadratic functions in $q$
($\beta_0=\beta_{-}(v)$ in this context):
\begin{equation*}
	f_1(q)\coloneqq\sage{main_theorem1.r_upper_bound1} \qquad
	f_2(q)\coloneqq\sage{main_theorem1.r_upper_bound2}
\end{equation*}
These have their minimums at $q=0$ and $q=\chern_1^{\beta_{-}}(v)$ respectively,
with values 0 and $R>0$ respectively.
So provided that
$f_2\left(\chern^{\beta_{-}}_1(v)\right) < f_1\left(\chern^{\beta_{-}}_1(v)\right)$,
the maximum is achieved at their intersection.
Otherwise, the maximum is achieved at
$\chern^{\beta_{-}}_1(v)$.
So we can say that

\begin{align*}
	r &\leq
		f_{1}(q_{\mathrm{max}})
		&\text{if } f_2\left(\chern^{\beta_{-}}_1(v)\right) <
		f_1\left(\chern^{\beta_{-}}_1(v)\right)
 \\ &&
		\text{where $q_{\mathrm{max}}$ is the $q$-value where the $f_i$ intersect}
	\\
	r &\leq f_1\left(\chern^{\beta_{-}}(v)\right)
		&\text{if } f_2\left(\chern^{\beta_{-}}_1(v)\right) \geq
		f_1\left(\chern^{\beta_{-}}_1(v)\right)
\end{align*}

\noindent
In the first case,
solving for $f_1(q)=f_2(q)$ yields
\begin{equation*}
	q=\sage{q_sol.expand()}
\end{equation*}
And evaluating $f_1$ at this $q$-value gives:
\begin{equation*}
	\sage{main_theorem1.corollary_intermediate}
\end{equation*}

\noindent
Finally, noting that $\Delta(v)=\left(\chern_1^{\beta_{-}(v)}(v)\right)^2\ell^2$,
we get the bounds as stated in the statement of the Corollary.

\end{proof}

\begin{example}[$v=(3, 2\ell, -2)$ on $\PP^2$]
\label{exmpl:recurring-second}
Just like in Example \ref{exmpl:recurring-first}, take
$\ell=c_1(\mathcal{O}(1))$ as the standard polarization on $\PP^2$, so
that $m=2$, $\beta=\sage{recurring.betaminus}$,
giving $n=\sage{recurring.n}$.

Using the above Corollary \ref{cor:direct_rmax_with_uniform_eps}, we get that
the ranks of tilt semistabilisers for $v$ are bounded above by
$\sage{recurring.corrolary_bound} \approx
\sage{round(float(recurring.corrolary_bound), 1)}$,
which is much closer to real maximum 25 than the original bound 144.
\end{example}

\begin{example}[extravagant example: $v=(29, 13\ell, -3/2)$ on $\PP^2$]
\label{exmpl:extravagant-second}
Just like in Example \ref{exmpl:extravagant-first}, take
$\ell=c_1(\mathcal{O}(1))$ as the standard polarization on $\PP^2$, so
that $m=2$, $\beta=\sage{extravagant.betaminus}$,
giving $n=\sage{extravagant.n}$.

Using the above Corollary \ref{cor:direct_rmax_with_uniform_eps}, we get that
the ranks of tilt semistabilisers for $v$ are bounded above by
$\sage{extravagant.corrolary_bound} \approx
\sage{round(float(extravagant.corrolary_bound), 1)}$,
which is much closer to real maximum $\sage{extravagant.actual_rmax}$ than the
original bound 215296.
\end{example}
%% refinements using specific values of q and beta

These bound can be refined a bit more by considering restrictions from the
possible values that $r$ take.
Furthermore, the proof of Theorem \ref{thm:rmax_with_uniform_eps} uses the fact
that, given an element of $\frac{1}{2n^2}\ZZ$, the closest non-equal element of
$\frac{1}{2}\ZZ$ is at least $\frac{1}{2n^2}$ away. However this a
conservative estimate, and a larger gap can sometimes be guaranteed if we know
this value of $\frac{1}{2n^2}\ZZ$ explicitly.

The expressions that will follow will be a bit more complicated and have more
parts which depend on the values of $q$ and $\beta$, even their numerators
$\aa,\bb$ specifically. The upcoming Theorem \ref{thm:rmax_with_eps1} is less useful as a
`clean' formula for a bound on the ranks of the pseudo-semistabilisers, but has a
purpose in the context of writing a computer program to find
pseudo-semistabilisers. Such a program would iterate through possible values of
$q$, then iterate through values of $r$ within the bounds (dependent on $q$),
which would then determine $c$, and then find the corresponding possible values
for $d$.

Next, we seek to find a larger $\epsilon$ to use in place of $\epsilon_v$ in the
proof of Theorem \ref{thm:rmax_with_uniform_eps}:

\begin{lemmadfn}[%
	A better alternative to $\epsilon_v$:
	$\epsilon_{v,q}$
	]
	\label{lemdfn:epsilon_q}
	Suppose $d \in \frac{1}{\lcm(m,2n^2)}\ZZ$ satisfies the condition in
	Equation \ref{eqn:positive_rad_condition_in_terms_of_q_beta}.
	That is:

	\begin{equation*}
		\sage{positive_radius_condition_with_q.subs([q_value_expr,beta_value_expr]).factor()}
		\qquad
		\text{for some integers }
		a_v, b_q, n
		\:\text{with }(a_v, n)=1
	\end{equation*}

	\noindent
	And $r$ satisfies $\aa r + \bb \equiv 0 \pmod{n}$,
	then we have:

	\begin{equation}
		\label{eqn:epsilon_q_lemma_prop}
		d - \frac{(\aa r + 2\bb)\aa}{2n^2}
		\geq \epsilon_{v,q} \geq \epsilon_v > 0
	\end{equation}

	\noindent
	Where $\epsilon_{v,q}$ is defined as follows:

	\begin{equation*}
		\epsilon_{v,q} \coloneqq
		\frac{k_{q}}{\lcm(m,2n^2)}
	\end{equation*}
	with $k_{v,q}$ being the least $k\in\ZZ_{>0}$ satisfying
	\begin{equation*}
		k \equiv -\aa\bb \frac{m}{\gcd(m,2n^2)}
		\mod{\gcd\left(
			\frac{n^2\gcd(m,2)}{\gcd(m,2n^2)},
			\frac{mn\aa}{\gcd(m,2n^2)}
		\right)}
	\end{equation*}

\end{lemmadfn}

\begin{remark}
    The quantity $m$ is determined by the variety, whereas $a_v$ and $n$ are determined by the Chern
    character $v$ for which we are trying to find pseudo-semistabilisers.
    So the $\gcd$ expression we are taking the modulus with respect to is considered
    constant in the context of the problem we are solving for
    (i.e. Problem \ref{problem:problem-statement-2}).
    However $b_q$ depends on the choice of $q$, that is the value of
    $\chern_1^{\beta_{-}(v)}(u)$ for which we are searching for solutions $u$, hence
    why $k_{v,q}$ is denoted to depend on $q$ on top of $v$ and the context of the problem.
\end{remark}

\begin{proof}

Consider the following sequence of logical implications.
The one-way implication follows from
$\aa r + \bb \equiv 0 \pmod{n}$,
and the final logical equivalence is just a simplification of the expressions.

\begin{align}
	\frac{ x }{ \lcm(m,2) }
	- \frac{
		(\aa r+2\bb)\aa
	}{
		2n^2
	}
	= \frac{ k }{ \lcm(m,2n^2) }
	\quad \text{for some } x \in \ZZ
	\span \span \span \span \span
	\label{eqn:finding_better_eps_problem}
\\ \nonumber
\\ \Leftrightarrow& &
	- (\aa r+2\bb)\aa
	\frac{\lcm(m,2n^2)}{2n^2}
	&\equiv k &&
	\nonumber
\\ &&&
	\mod \frac{\lcm(m,2n^2)}{\lcm(m,2)}
	\span \span \span
	\nonumber
\\ \Rightarrow& &
	- \bb\aa
	\frac{\lcm(m,2n^2)}{2n^2}
	&\equiv k &&
	\nonumber
\\ &&&
	\mod \gcd\left(
		\frac{\lcm(m,2n^2)}{\lcm(m,2)},
		\frac{n \aa \lcm(m,2n^2)}{2n^2}
	\right)
	\span \span \span
	\nonumber
\\ \Leftrightarrow& &
	- \bb\aa
	\frac{m}{\gcd(m,2n^2)}
	&\equiv k &&
	\label{eqn:better_eps_problem_k_mod_n}
\\ &&&
	\mod \gcd\left(
		\frac{n^2\gcd(m,2)}{\gcd(m,2n^2)},
		\frac{mn \aa}{\gcd(m,2n^2)}
	\right)
	\span \span \span
	\nonumber
\end{align}

In our situation, we want to find the least $k>0$ satisfying
Equation \ref{eqn:finding_better_eps_problem}.
Since such a $k$ must also satisfy Equation \ref{eqn:better_eps_problem_k_mod_n},
we can pick the smallest $k_{q,v} \in \ZZ_{>0}$ which satisfies this new condition
(a computation only depending on $q$ and $\beta$, but not $r$).
We are then guaranteed that $k_{v,q}$ is less than any $k$ satisfying Equation
\ref{eqn:finding_better_eps_problem}, giving the first inequality in Equation
\ref{eqn:epsilon_q_lemma_prop}.
Furthermore, $k_{v,q}\geq 1$ gives the second part of the inequality:
$\epsilon_{v,q}\geq\epsilon_v$, with equality when $k_{v,q}=1$.

\end{proof}

\begin{sagesilent}
from plots_and_expressions import main_theorem2
\end{sagesilent}
\begin{theorem}[Third bound on $r$ for Problem \ref{problem:problem-statement-2}]
\label{thm:rmax_with_eps1}
	Let $X$ be a smooth projective surface with Picard rank 1 and choice of ample
	line bundle $L$ with $c_1(L)$ generating $\neronseveri(X)$ and
	$m\coloneqq\ell^2$.
	Let $v$ be a fixed Chern character on this surface with positive rank
	(or rank 0 and $c_1(v)>0$), and $\Delta(v)\geq 0$.
	Then the ranks of the pseudo-semistabilisers $u$ for $v$,
	which are solutions to Problem \ref{problem:problem-statement-2},
	with $\chern_1^{\beta_{-}(v)}(u) = q$
	are bounded above by the following expression:

	\begin{align*}
		\min
		\left(
			\sage{main_theorem2.r_upper_bound1.subs(betamin_subs)}, \:\:
			\sage{main_theorem2.r_upper_bound2.subs(betamin_subs)}
		\right),
	\end{align*}
	where $k_{v,q}$ is defined as in Definition/Lemma \ref{lemdfn:epsilon_q},
	and $R = \chern_0(v)$
\end{theorem}

\begin{proof}
	Following the same proof as Theorem \ref{thm:rmax_with_uniform_eps},
	$\epsilon_{v,q} = \frac{k_{v,q}}{\lcm(m, 2n^2)}$ can be used instead of
	$\epsilon_{v} = \frac{1}{\lcm(m, 2n^2)}$ as it satisfies the same required
	property, as per Definition/Lemma \ref{lemdfn:epsilon_q}.

\end{proof}

Although the general form of this bound is quite complicated, it does simplify a
lot when $m$ is small.

\begin{sagesilent}
from plots_and_expressions import main_theorem2_corollary
\end{sagesilent}
\begin{corollary}[Third bound on $r$ on $\PP^2$ and principally polarised abelian surfaces]
\label{cor:rmax_with_eps1}
	Suppose we are working over $\PP^2$ or a principally polarised abelian surface
	(or any other surfaces with $m=\ell^2=1$ or $2$).
	Let $v$ be a fixed Chern character, with $\beta_{-}\coloneqq\beta_{-}(v)=\frac{a_v}{n}$
	rational and expressed in lowest terms.
	Then the ranks $r$ of the pseudo-semistabilisers $u$ for $v$ with,
	which are solutions to Problem \ref{problem:problem-statement-2},
	$\chern_1^{\beta_{-}}(u) = q = \frac{b_q}{n}$
	are bounded above by the following expression:

	\begin{align*}
		\min
		\left(
			\sage{main_theorem2_corollary.r_upper_bound1.subs(betamin_subs)}, \:\:
			\sage{main_theorem2_corollary.r_upper_bound2.subs(betamin_subs)}
		\right),
	\end{align*}
	where $R = \chern_0(v)$ and $k_{v,q}$ is the least
	$k\in\ZZ_{>0}$ satisfying
	${
		k \equiv -\aa\bb
		\pmod{n}
	}$.
\end{corollary}

\begin{proof}
This is a specialisation of Theorem \ref{thm:rmax_with_eps1}, where we can
drastically simplify the $\lcm$ and $\gcd$ terms by noting that $m$ divides both
$2$ and $2n^2$, and that $a_v$ is coprime to $n$.
\end{proof}

\begin{example}[$v=(3, 2\ell, -2)$ on $\PP^2$]
\label{exmpl:recurring-third}
Just like in Examples \ref{exmpl:recurring-first} and
\ref{exmpl:recurring-second},
take $\ell=c_1(\mathcal{O}(1))$ as the standard polarization on $\PP^2$, so that
$\beta=\sage{recurring.betaminus}$, giving $n=\sage{recurring.n}$
and $\chern_1^{\sage{recurring.betaminus}}(F) = \sage{recurring.twisted.ch[1]}$.
%% TODO transcode notebook code
The (non-exclusive) upper bounds for $r\coloneqq\chern_0(u)$ of a tilt semistabiliser $u$ of $v$
in terms of the possible values for $q\coloneqq\chern_1^{\beta_{-}}(u)$ are as follows:

\begin{sagesilent}
from examples import bound_comparisons
qs, theorem2_bounds, theorem3_bounds = bound_comparisons(recurring)
\end{sagesilent}

\vspace{1em}
\noindent
\directlua{ table_width = 3*4+1 }
\begin{tabular}{l\directlua{for i=0,table_width-1 do tex.sprint([[|c]]) end}}
	$q=\chern_1^{\beta_{-}}(u)$
\directlua{for i=0,table_width-1 do
	local cell = [[&$\noexpand\sage{qs[]] .. i .. "]}$"
  tex.sprint(cell)
end}
	\\ \hline
	Theorem \ref{thm:rmax_with_uniform_eps}
\directlua{for i=0,table_width-1 do
	local cell = [[&$\noexpand\sage{theorem2_bounds[]] .. i .. "]}$"
  tex.sprint(cell)
end}
	\\
	Theorem \ref{thm:rmax_with_eps1}
\directlua{for i=0,table_width-1 do
	local cell = [[&$\noexpand\sage{theorem3_bounds[]] .. i .. "]}$"
  tex.sprint(cell)
end}
\end{tabular}
\vspace{1em}

\noindent
It is worth noting that the bounds given by Theorem \ref{thm:rmax_with_eps1}
reach, but do not exceed, the actual maximum rank 25 of the
pseudo-semistabilisers of $v$ in this case.
As a reminder, the original loose bound from Theorem \ref{thm:loose-bound-on-r}
was 144.

\end{example}

\begin{example}[extravagant example: $v=(29, 13\ell, -3/2)$ on $\PP^2$]
\label{exmpl:extravagant-third}
Just like in examples \ref{exmpl:extravagant-first} and
\ref{exmpl:extravagant-second},
take $\ell=c_1(\mathcal{O}(1))$ as the standard polarization on $\PP^2$, so that
$\beta=\sage{extravagant.betaminus}$, giving $n=\sage{n:=extravagant.n}$
and $\chern_1^{\sage{extravagant.betaminus}}(F) = \sage{extravagant.twisted.ch[1]}$.
This example was chosen because the $n$ value is moderatly large, giving more
possible values for $k_{v,q}$, in Definition/Lemma \ref{lemdfn:epsilon_q}. This allows
for a larger possible difference between the bounds given by Theorems
\ref{thm:rmax_with_uniform_eps} and \ref{thm:rmax_with_eps1}, with the bound
from the second being up to $\sage{n}$ times smaller, for any given $q$ value.
The (non-exclusive) upper bounds for $r\coloneqq\chern_0(u)$ of a tilt semistabiliser $u$ of $v$
in terms of the first few smallest possible values for $q\coloneqq\chern_1^{\beta}(u)$ are as follows:

\begin{sagesilent}
qs, theorem2_bounds, theorem3_bounds = bound_comparisons(extravagant)
\end{sagesilent}


\vspace{1em}
\noindent
\directlua{ table_width = 12 }
\begin{tabular}{l\directlua{for i=0,table_width do tex.sprint([[|c]]) end}}
	$q=\chern_1^\beta(u)$
\directlua{for i=0,table_width-1 do
	local cell = [[&$\noexpand\sage{qs[]] .. i .. "]}$"
  tex.sprint(cell)
end}
	&$\cdots$
	\\ \hline
	Theorem \ref{thm:rmax_with_uniform_eps}
\directlua{for i=0,table_width-1 do
	local cell = [[&$\noexpand\sage{theorem2_bounds[]] .. i .. "]}$"
  tex.sprint(cell)
end}
	&$\cdots$
	\\
	Theorem \ref{thm:rmax_with_eps1}
\directlua{for i=0,table_width-1 do
	local cell = [[&$\noexpand\sage{theorem3_bounds[]] .. i .. "]}$"
  tex.sprint(cell)
end}
	&$\cdots$
\end{tabular}
\vspace{1em}


\noindent
However the reduction in the overall bound on $r$ is not as drastic, since all
possible values for $k_{v,q}$ in $\{1,2,\ldots,\sage{n}\}$ are iterated through
cyclically as we consider successive possible values for $q$.
And for each $q$ where $k_{v,q}=1$, both theorems give the same bound.
Calculating the maximums over all values of $q$ yields
$\sage{max(theorem2_bounds)}$ for Theorem \ref{thm:rmax_with_uniform_eps}, and
$\sage{max(theorem3_bounds)}$ for Theorem \ref{thm:rmax_with_eps1}.
\end{example}
